Bug 1542507 - fedora-review creates a hard to read note because many packages own /usr/lib/.build-id
Summary: fedora-review creates a hard to read note because many packages own /usr/lib/...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-06 13:31 UTC by Anderson Sasaki
Modified: 2019-02-19 17:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:43:09 UTC


Attachments (Terms of Use)
Generated review report (29.78 KB, text/plain)
2018-02-06 13:31 UTC, Anderson Sasaki
no flags Details

Description Anderson Sasaki 2018-02-06 13:31:42 UTC
Created attachment 1392078 [details]
Generated review report

Description of problem:

In the report generated by the tool, a note is added reporting shared ownership of the directory /usr/lib/.build-id, listing too many packages, making it hard to read.
Since this directory stores debug information for all the packages, it will naturally have shared ownership.
But, if you follow the Fedora Packaging Guidelines strictly, specifically the session File and Directory Ownership [0], it would be considered a issue.
This could hide true shared ownership issues, since it makes difficult to read the report.

[0] https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

Version-Release number of selected component (if applicable):

fedora-27-x86_64

How reproducible:

Run fedora-review over a package. For instance, I am using the package libp11.

Steps to Reproduce:
1. $ fedpkg clone libp11
2. $ cd libp11
3. $ fedpkg srpm
4. $ fedora-review -n libp11

Actual results:

Under the checkbox "Package does not own files or directories owned by other packages", a huge list of packages is generated. See attachment.

Expected results:

I would expect /usr/lib/.build-id and directories inside it to be ignored or to have the list of packages sharing ownership in a different section or in a more readable way, like:

Package does not own files or directories owned by other packages.
Note: Sharing ownership of:
 - /usr/lib/.build-id
 - /usr/lib/.build-id/ce
 - /usr/lib/.build-id/54

Also owns /usr/lib/.build-id
 - [list of packages]

Also owns /usr/lib/.build-id/ce
 - [list of packages]

Also owns /usr/lib/.build-id/54
 - [list of packages]

Additional info:

Comment 1 Ben Cotton 2018-11-27 13:35:55 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:43:09 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Dusty Mabe 2019-01-11 23:58:09 UTC
this seems to still be a problem

Comment 4 Neal Gompa 2019-01-14 15:29:38 UTC
This is fixed in git devel for FedoraReview: https://pagure.io/FedoraReview/c/4c2fdc4bab9c4c044fd726d485ecaa158f33c903?branch=devel

It will be fixed in the next release.

Comment 5 Ben Cotton 2019-02-19 17:11:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.